Install npm, bower and grunt on Linux Mint 17 mini tutorial

Commands explained

The first line is for good practice and to update your software repo. The second line installs node.js and npm the node.js package manager.

This line is needed to fix a problem that has been around Ubuntu 14.04 (Mint 17 uses Ubuntu 14.04 codebase) for a while. There is another Ubuntu program called node. Although not installed the name is reserved for that program. What we have to do is creating the /usr/bin/node symlink to our currently installed node.js version. If you do not add the symlink you will see this error message:

Source: digitalocean.com

Install bower globally.

Install grunt globally.

1 One person thinks it's helpful 🙂

Leave a Reply

Your email address will not be published. Required fields are marked *